Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CacheImpl Class Reference

`#include <CacheImpl.h>`

Inheritance diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CacheImpl:
[legend]
Collaboration diagram for Alembic::AbcCoreHDF5::ALEMBIC_VERSION_NS::CacheImpl:
[legend]

## Classes
class | RecordDeleter

## Public Member Functions
virtual AbcA::ReadArraySampleID | find (const AbcA::ArraySample::Key &iKey)
virtual AbcA::ReadArraySampleID | store (const AbcA::ArraySample::Key &iKey, AbcA::ArraySamplePtr iBytes)
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ReadArraySampleCache
virtual | ~ReadArraySampleCache ()
virtual ReadArraySampleID | find (const ArraySample::Key &iKey)=0
virtual ReadArraySampleID | store (const ArraySample::Key &iKey, ArraySamplePtr iSamp)=0

## Friends
class | RecordDeleter

## Detailed Description

This class is underimplemented. It ought to allow limits on storage. Todo! THIS CLASS IS NOT MULTITHREAD SAFE

The documentation for this class was generated from the following files:

- AbcCoreHDF5/CacheImpl.h
- AbcCoreHDF5/CacheImpl.cpp